#ifndef MGEOMCAMMAGIC_H
#define MGEOMCAMMAGIC_H

#ifndef MAGIC_H
#include "MAGIC.h"
#endif
#ifndef MGEOMCAM_H
#include "MGeomCam.h"
#endif

class MGeomCamMagic : public MGeomCam
{
private:
    void CreateCam();

public:

    MGeomCamMagic(const char *name=NULL);

    void Draw(Option_t *option = "");

    ClassDef(MGeomCamMagic, 1)		// Geometry class for the camera
};

#endif

